## org.eclipse.datatools.sqltools.common.ui.resource
Interface IProfileFilter

    public interface IProfileFilter

Author:
  Hui Cao

Method Summary
`boolean` `accept(java.lang.String profileName)`
`void` `setUp()` Since the filtering operation may involve database and is time consuming, subclasses can set up teh fixture here to improve performance.
`void` `tearDown()` Tears down the fixture, for example, close a network connection.

Method Detail

### setUp

    void setUp()

  Since the filtering operation may involve database and is time consuming, subclasses can set up teh fixture here to improve performance. for example, open a network connection. This method is called before a test is executed.

### accept

    boolean accept(java.lang.String profileName)

### tearDown

    void tearDown()

  Tears down the fixture, for example, close a network connection. This method is called after a test is executed.